if _G.currentStoryChapter and _G.CurrentCharacterArcade then
	local crs = SONGMAN:FindCourse(_G.CurrentCharacterArcade);
	if crs then
		return Def.ActorFrame{
			--LoadActor("/"..THEME:GetCurrentThemeDirectory().."/Story/".._G.CurrentCharacterArcade.."_"..tostring(_G.currentStoryChapter)..".lua");
			LoadActor(crs:GetCourseDir():sub(1, -5).."/"..tostring(_G.currentStoryChapter)..".lua");
		};
	else
		return Def.ActorFrame{
			LoadFont("Common Normal")..{
				Text="Course ".._G.CurrentCharacterArcade.." is not installed!";
				InitCommand=cmd(Center);
			};
		};
	end;
elseif not _G.CurrentCharacterArcade then
	return Def.ActorFrame{
		LoadFont("Common Normal")..{
			Text="Hey fuckface, don't make the selected character null";
			InitCommand=cmd(Center);
		};
	};
else
	return Def.ActorFrame{
		LoadFont("Common Normal")..{
			Text="Hey fuckface, don't make the selected chapter null";
			InitCommand=cmd(Center);
		};
	};
end;
